![Logo](https://github.com/Andrew-Flame/HotPins/blob/master/img/SocialCard.jpg?raw=true)
---
### Description
'Hot Pins' is a mod for Valheim that adds ways to quickly add markers to the game map.
Have you ever found ore deposits or dungeons while running away from enemies?
What were you doing at that moment?
Maybe you tried to set a pin on the map, risking death, asked your friend to mark this place or just did nothing.
Especially for such cases, I have developed this modification.
Now you can create pins on the game map completely safely in the blink of an eye.
All you need after installing my mod is to use standard keys and keyboard shortcuts (or customize your own) to create pins. A video demonstration of the mod's work is available at the [link](https://youtu.be/f7Q7s507Yw4). You can also find the source code of the modification on my [GitHub](https://github.com/Andrew-Flame/HotPins.git).

### Default keyboard shortcuts
- Keypad1 = "Hammer" "Burial Chambers"
- Keypad2 = "Hammer" "Troll Cave"
- Keypad3 = "Hammer" "Sunken Crypts"
- Keypad4 = "Hammer" "Frost Cave"
- Keypad5 = "Hammer" "Fuling Village"
- Keypad6 = "Hammer" "Infested mine"
- LeftAlt+Keypad1 = "Ball" "Copper"
- LeftAlt+Keypad2 = "Ball" "Tin"
- LeftAlt+Keypad3 = "Ball" "Guck"
- LeftAlt+Keypad4 = "Ball" "Silver"
- LeftAlt+Keypad5 = "Ball" "Tar"
- LeftAlt+Keypad6 = "Ball" "Marble"

### Manual
1. Unpack the downloaded archive
2. Move the file `HotPins.dll` to the `Valheim/BepInEx/plugins` folder
3. Run the game, it will generate automatically an configuration file into `Valheim/BepInEx/config`

### Customization
- After the first launch of the mod, a config file `Flame.HotPins.cfg` will be created in the `Valheim/BepInEx/config` folder.
- Next, you need to press the bind, you need to make a record of the form: 
- `UnityKeyCode = "Pin Type" "Pin Name"` or `UnityKeyCode1+UnityKeyCode2 = "Pin Type" "Pin Name"` (you can use keyboard shortcuts from multiple keys)
- You can view all [UnityKeyCodes here](https://t.ly/dMe2)
- Available pin types: Fireplace, House, Hammer, Ball, Cave
- As the pin name you can use any string